<?php

namespace App\Modules\QuestionTypeProvider\Application\List;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class QuestionTypeProviderListerQuery implements Query
{
    public function __construct(
        private int $idQuestion,
        private string $action
    ) {
    }

    public function getIdQuestion(): string
    {
        return $this->idQuestion;
    }
    public function getAction(): string
    {
        return $this->action;
    }
}
